Jump to content

[1.3.1 - 1.12.x] Outer Planets Mod [v2.2.10] [3rd Jan 2022]


Poodmund
 Share

Recommended Posts

1 hour ago, CDSlice said:

Although it definitely isn't something Poodmund has to do, having the assets in a format that can only be edited with expensive, proprietary software when there is an option to have them in a format that can be easily used in free software does seem to go against the spirit of the Creative Commons license this mod is under. The whole point of the Creative Commons is to increase the amount of work "in the commons" and while legally Poodmund's textures are in the commons, the majority of people can't do anything with them because they don't have Photoshop and can not easily or cheaply obtain it.

The point of CC is not to increase the amount of work available to the public but to allow it to be available for the public if they intend to work with it. Suffice to say, reiterating on myself, I'd rather optimise the mod for players rather than people deconstructing the mod as having them in the format they are currently in, it lowers the distribution size of the mod and keeps them as optimised as possible from a performance perspective.

On a different note, I've been without PC for about 2 weeks as the VRMs on my motherboard decided to give up the ghost a couple of weeks ago and in turn ended the life of my sound card too... so I've only just come back online with practically a whole new rig to show for it but a lot lighter in the wallet. :confused: Talk about bad timing.

I've finally put together a project scheme for OPM on the Git repo for everyone to be able to track and added all the issues that have been brought up over the last few pages: https://github.com/Poodmund/Outer-Planets-Mod/projects

Please remember, the best place for issues to be reported is to the Git repo where they can be logged and not forgotten about: https://github.com/Poodmund/Outer-Planets-Mod/issues

No target time for an update yet but at least the roadmap is a little clearer (I currently have a fair bit of work to do with regards to other mods right now).

Link to comment
Share on other sites

2 minutes ago, Poodmund said:

so I've only just come back online with practically a whole new rig to show for it but a lot lighter in the wallet. :confused: Talk about bad timing

I feel your pain - spilled a cup of coffee next to (not on) my laptop.  Thought I was ok, went to grab paper towels and the laptop's fan promptly sucked up coffee from underneath and efficiently distributed it throughout the laptop.  At least the HD survived

Link to comment
Share on other sites

Is Urlum tilted on its side? I noticed the rings weren't tilted, so I suppose not?zIuAmQd.png

EDIT: After a bit of digging I realized that stock KSP can't make bodies that have a 90* tilt. Sorry for the dumb question. :D

Edited by alberro+
Link to comment
Share on other sites

There are a couple of ways to "fake" an axial tilt for a gas giant, if you do it just with Kopernicus the body cannot look as though it is rotation but with EVE installed you can get it to look as though it is rotating as you essentially use a 'cloud layer' as the body texture. Its a bit odd as the moons then have to have their rotation killed too, or not, as their axis of rotation stays flat with respect to the ecliptic plane of 0deg inclination. Its a bit funky from a gameplay perspective but a fair number of people like it.

Link to comment
Share on other sites

On 4/15/2020 at 2:07 PM, mabdi36 said:

install Custom Barn Kit and upgrade Tracking Station to Level 4

Seems i cannot upgrade TS to level 4, do you know if i need anything apart from money? Do i need to upgrade it from anywhere else? Maybe a mod conflict? Note that im using OPM with an unofficial Kopernikus patch for 1.9.1, maybe thats the cause?

Link to comment
Share on other sites

5 minutes ago, juvilado said:

Seems i cannot upgrade TS to level 4, do you know if i need anything apart from money? Do i need to upgrade it from anywhere else? Maybe a mod conflict? Note that im using OPM with an unofficial Kopernikus patch for 1.9.1, maybe thats the cause?

That is probably the case, because it works on my end. Also, i am pretty sure you can't run Kopernicus on 1.9, how did you do that?

Link to comment
Share on other sites

1 minute ago, mabdi36 said:

That is probably the case, because it works on my end. Also, i am pretty sure you can't run Kopernicus on 1.9, how did you do that?

As i told you, it's an unofficial patch that was on the forum for 10 mins and then banned. I can't put a link due to permissions, but i could give you the link by private message. For OPM just override compatibility.

Link to comment
Share on other sites

34 minutes ago, juvilado said:

As i told you, it's an unofficial patch that was on the forum for 10 mins and then banned. I can't put a link due to permissions, but i could give you the link by private message. For OPM just override compatibility.

I don't suppose I could trouble you to private message me that link :) no worries if not ... my Jeb sends his thanks either way :) haha

Link to comment
Share on other sites

1 hour ago, juvilado said:

As i told you, it's an unofficial patch that was on the forum for 10 mins and then banned. I can't put a link due to permissions, but i could give you the link by private message. For OPM just override compatibility.

Please do not distribute that.  You will just create problems for the modders

Link to comment
Share on other sites

2 hours ago, juvilado said:

Seems i cannot upgrade TS to level 4, do you know if i need anything apart from money? Do i need to upgrade it from anywhere else? Maybe a mod conflict? Note that im using OPM with an unofficial Kopernikus patch for 1.9.1, maybe thats the cause?

Custom Barn Kit v.1.1.20 seems to work fine in 1.9.1 so as long as you have that version installed alongside the latest version of Module Manager, there should be no issues here... Kopernicus or not.

Link to comment
Share on other sites

15 hours ago, Poodmund said:

Custom Barn Kit v.1.1.20 seems to work fine in 1.9.1 so as long as you have that version installed alongside the latest version of Module Manager, there should be no issues here... Kopernicus or not.

Im looking at the OPM commnet.cfg , it says this:

@CUSTOMBARNKIT:NEEDS[!GPP]
{    
    @TRACKING
    {
        @levels = 4
        @upgradesVisual = 1, 2, 3, 3
        @upgrades = 38000, 150000, 563000, 2185000
        @patchesAheadLimit = 0, 2, 3, 4
        @trackedObjectLimit = 0, 8, -1, -1
        @DSNRange = 2000000000, 50000000000, 250000000000, 2000000000000
    }
}

What does "Needs GPP mean?" Galileo Planet Pack!?

Also, at custom barn kit mod in default.cfg reads this:

TRACKING
    {
        levels = 3
        upgradesVisual = 1, 2, 3
        upgrades = 38000, 150000, 563000
        unlockedSpaceObjectDiscovery = 3
        // None=0 CelestialBodyOrbits=1 AllOrbits=2 PatchedConics=3
        orbitDisplayMode = 2, 3, 3
        patchesAheadLimit = 0, 2, 4
        trackedObjectLimit = 0, 8, -1
        DSNRange = 2000000000, 50000000000, 250000000000
        DSNRangeCurve
 

Is it nominal? Does OPM override Custom Barn Kit default settings? Should i Copy Paste the former on the later? 

Or do i have the correct installation after all? 

My Tracking Station reads "fully upgraded", it has Max DSN Power 538. Is it ok for third level or fourth?

13 minutes ago, mabdi36 said:

Around Urlum.

Wow, didn't notice, also two moons on the same orbit!

Are the planets' rings dangerous? I mean, can a vessel collide? or are only aesthetic?

Link to comment
Share on other sites

20 minutes ago, juvilado said:

Im looking at the OPM commnet.cfg , it says this:

@CUSTOMBARNKIT:NEEDS[!GPP]
{    
    @TRACKING
    {
        @levels = 4
        @upgradesVisual = 1, 2, 3, 3
        @upgrades = 38000, 150000, 563000, 2185000
        @patchesAheadLimit = 0, 2, 3, 4
        @trackedObjectLimit = 0, 8, -1, -1
        @DSNRange = 2000000000, 50000000000, 250000000000, 2000000000000
    }
}

What does "Needs GPP mean?" Galileo Planet Pack!?

Also, at custom barn kit mod in default.cfg reads this:

TRACKING
    {
        levels = 3
        upgradesVisual = 1, 2, 3
        upgrades = 38000, 150000, 563000
        unlockedSpaceObjectDiscovery = 3
        // None=0 CelestialBodyOrbits=1 AllOrbits=2 PatchedConics=3
        orbitDisplayMode = 2, 3, 3
        patchesAheadLimit = 0, 2, 4
        trackedObjectLimit = 0, 8, -1
        DSNRange = 2000000000, 50000000000, 250000000000
        DSNRangeCurve
 

Is it nominal? Does OPM override Custom Barn Kit default settings? Should i Copy Paste the former on the later? 

Or do i have the correct installation after all? 

My Tracking Station reads "fully upgraded", it has Max DSN Power 538. Is it ok for third level or fourth?

Wow, didn't notice, also two moons on the same orbit!

Are the planets' rings dangerous? I mean, can a vessel collide? or are only aesthetic?

1. Do not copy paste anything.

2. NEEDS[!GPP] means: Always do the patch EXCEPT if you have GPP installed.

3. The patch overrides default.cfg

4. Your installation seems to be correct...

5. At level 4 DSN power of the Tracking Station should be 2T, and at level 3, should be 250G, don’t know where you got 538 from.

6. The rings are not solid.

Edited by mabdi36
Link to comment
Share on other sites

Well, TS level 4 is not available for me. Im using these mods:

Maybe someone can identify the problem. Thanks in advance! And sorry for the long list.

KSP: 1.9.1 (Win64) - Unity: 2019.2.2f1 - OS: Windows 7  (6.1.0) 64bit
ClickThroughBlocker - 0.1.9.5
Filter Extensions - 3.2.4.2
ToolbarControl - 0.1.9.4
Docking Port Entry - 1.0.1
Antenna Helper - 1.0.7.2
AtmosphereAutopilot - 1.5.16
B9 Part Switch - 2.13
BD Animation Modules - 0.6.5.9
BargainRocketPartsContinued - 1.3.0.3
BetterTimeWarpContinued - 2.3.12.6
Chatterer Extended - 0.6.2
Chatterer - 0.9.99.2788
Colorful Fuel Lines - 0.3.3
CommNetAntennasExtension - 2.1.1
CommNetAntennasInfo - 2.4.1
Community Resource Pack - 1.3
CommunityTechTree - 3.4.1
Connected Living Space - 2.0.0.3
Contract Configurator - 1.28
Contract Pack: Anomaly Surveyor - 1.7.1
Contract Pack: CommNet Relays - 2.1
Contract Pack: Bases and Stations - 3.7.2.2
CryoEngines - 1.1.1
CryoTanks - 1.4.2
Community Terrain Texture Pack - 1.0.4
CustomBarnKit - 1.1.20
DaMichel's AeroRadial - 1.1.0.1
DaMichel's CargoBays - 1.1.0.1
DaMichel's Fuselage - 1.1.0.2
SphericalTanks - 1.1
DeployableEngines - 1.2.1
DistantObjectEnhancement - 2.0.2
DynamicBatteryStorage - 2.1.5
EditorExtensionsRedux - 3.4.1
Elephant Engine - 0.2
Engine Lighting Relit - 1.6.2.3
Environmental Visual Enhancements - 1.8.0.2
EVAEnhancementsContinued - 0.1.15.2
Fuel Tanks Plus - 2.0.2
GravityTurn - 1.8.0.3
HeatControl - 0.5.1
Interstellar Fuel Switch - 3.14.2.1
JanitorsCloset - 0.3.7
RasterPropMonitor - 0.31.3
KerbalAtomics - 1.1.2
Kerbal Engineer Redux - 1.1.7.1
Kerbal Joint Reinforcement - 3.5.1
Kopernicus - 1.8.1.1
KSP-AVC Plugin - 1.4.1.4
MarkIVSystem - 3.1.1
Kerbal Dust Experiment - 1.11.3.10
Mk1-Cabin-Hatch - 0.2
Modular Rocket Systems - 1.13.2
ModularFlightIntegrator - 1.2.7
ModuleSequentialAnimateGeneric - 0.0.1
ZZZRadioTelescope - 1.0.4
Docking Port Alignment Indicator - 6.8.6
NearFutureConstruction - 1.2.2
NearFutureExploration - 1.0.6
NearFutureLaunchVehicles - 1.3
NearFutureProps - 0.6.2
NearFuturePropulsion - 1.2.1
NearFutureSolar - 1.2.1
NearFutureSpacecraft - 1.3.1
Final Frontier - 1.8.1.3479
OuterPlanetsMod - 2.2.6
PatchManager - 0.0.17.1
PlanetShine - 0.2.6.3
Procedural Fairings - 1.8.1
Mk2.5 Spaceplane Parts - 1.5.3.1
RealPlume - Stock - 3.1
RemoteTechRedevAntennas - 0.1.1
RetractableLiftingSurface - 0.2
SafeChute - 2.1.19
SCANsat - 1.1.8.14
Ship Effects Continued - 1.0.11
Ship Manifest - 6.0.0.2
SolarScience - 1.2
SpaceY Lifters - 1.17.2
StationPartsExpansionRedux - 1.3.4
TextureReplacer - 4.1.3
Tracking Station Evolved - 1.0.5
Kerbal Alarm Clock - 3.12
Transfer Window Planner - 1.7.2
TweakScale - 2.4.3.11
EVAParachutesAndEjectionSeats - 0.2.0.2
VenStockRevamp - 1.15.1
KSP Interstellar Extended - 1.25.13.5
Waypoint Manager - 2.8.1
World Stabilizer - 0.9.7
ZeroMiniAVC - 1.1.0.1
[x] Science! - 5.26

45 minutes ago, mabdi36 said:

5. At level 4 DSN power of the Tracking Station should be 2T, and at level 3, should be 250G, don’t know where you got 538 from.

I think this is because i softenend the difficulty at the settings, when i started the career. 

I tried restarting a sandbox and yes, its maxed at level 3 with 250G im afraid....

Edited by juvilado
Link to comment
Share on other sites

8 hours ago, juvilado said:

Okay looking through the log it seems you have the J2X Antenna mod installed which has this stated in the OP:

On 12/7/2016 at 4:28 AM, Snark said:

Compatibility with other mods

JX2Antenna currently includes compatibility patches for the following mods:

  • IndicatorLights: Data-transmission indicators, similar to what IndicatorLights adds to all the stock antennas.
  • Outer Planets: Undoes the tracking-station upgrade tweaks that OPM adds to the stock game.  (If you don't like that, just delete the relevant .cfg file from the patches sub-folder of this mod after installation.)
  • Galileo's Planet Pack:  Undoes the 10x power upgrade that GPP gives to the stock RA-100 and 88-88 antennas when the "largeUnmanned" tech node is unlocked.
  • Grannus Expansion Pack:  When the GEP_CommNet extension is installed, works with it to allow higher DSN power if OPM is present.
  • RemoteTech: Makes the antenna work as a RemoteTech antenna, rather than using the stock KSP CommNet.

If you want to use this antenna with some other mod, and it needs a compatibility patch, please post here to let us know.

So yeah. Pick you poison. I'd recommend just removing the J2X Antenna mod.

Link to comment
Share on other sites

3 minutes ago, Poodmund said:

So yeah. Pick you poison. I'd recommend just removing the J2X Antenna mod.

Many thanks! 

I think i quick installed that mod from CKAN, sure didn't pay attention to that huge detail!

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...